View (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.conf.view

## Class View

- java.lang.Object
- - org.apache.cassandra.index.sasi.conf.view.View

- All Implemented Interfaces:
    java.lang.Iterable<SSTableIndex>

      public class View
      extends java.lang.Object
      implements java.lang.Iterable<SSTableIndex>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `View(ColumnIndex index, java.util.Collection<SSTableIndex> currentView, java.util.Collection<SSTableReader> oldSSTables, java.util.Set<SSTableIndex> newIndexes)`
    `View(ColumnIndex index, java.util.Set<SSTableIndex> indexes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<SSTableIndex>` | `getIndexes()`
    `java.util.Iterator<SSTableIndex>` | `iterator()`
    `java.util.List<SSTableIndex>` | `match(java.nio.ByteBuffer minKey, java.nio.ByteBuffer maxKey)`
    `java.util.Set<SSTableIndex>` | `match(Expression expression)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### View

          public View(ColumnIndex index,
                      java.util.Set<SSTableIndex> indexes)

    - #### View

          public View(ColumnIndex index,
                      java.util.Collection<SSTableIndex> currentView,
                      java.util.Collection<SSTableReader> oldSSTables,
                      java.util.Set<SSTableIndex> newIndexes)

  - ### Method Detail

    - #### match

          public java.util.Set<SSTableIndex> match(Expression expression)

    - #### match

          public java.util.List<SSTableIndex> match(java.nio.ByteBuffer minKey,
                                                    java.nio.ByteBuffer maxKey)

    - #### iterator

          public java.util.Iterator<SSTableIndex> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<SSTableIndex>`

    - #### getIndexes

          public java.util.Collection<SSTableIndex> getIndexes()

Copyright © 2018 The Apache Software Foundation